
%
%  update_alpha.m  ver 1.2  by Tom Irvine
%

function[cell_array]=update_alpha()

            vars = evalin('base', 'whos');
            cell_array = cell(size(vars));
            for i=1:length(vars)
                cell_array{i} ='999';
                if(contains(vars(i).name,'myHandle') || ...
                   contains(vars(i).name,'vname_list') || ...
                   contains(vars(i).name,'Dirlik_N') || ...
                   strcmp(vars(i).name,'mode_1') || ...
                   strcmp(vars(i).name,'mode_2') || ...
                   strcmp(vars(i).name,'mode_3') || ...              
                   strcmp(vars(i).name,'mode_4') || ...
                   strcmp(vars(i).name,'mode_5') || ... 
                   strcmp(vars(i).name,'mode_6') || ...           
                   strcmp(vars(i).name,'two_dof_ModeShapes') || ...
                   strcmp(vars(i).name,'stress_th') || ...
                   contains(vars(i).name,'amp_cycles') || ...
                   contains(vars(i).name,'range_cycles') || ...
                   contains(vars(i).name,'amp_mean_cycles') || ...
                   contains(vars(i).name,'range_cycles_max_min')|| ...
                   strcmp(vars(i).name,'two_dof_mass') ||...
                   strcmp(vars(i).name,'point_mass_matrix') ||...
                   strcmp(vars(i).name,'smc_s_016') ||...
                   strcmp(vars(i).name,'accel_psd') ||...
                   strcmp(vars(i).name,'Franken_psd') ||...
                   strcmp(vars(i).name,'pink_spectrum') ||...
                   strcmp(vars(i).name,'power_dB') ||...
                   strcmp(vars(i).name,'avionics_module_liftoff_spl') ||...
                   contains(vars(i).name,'Hanning') ||...
                   strcmp(vars(i).name,'sz'))          

                   cell_array{i} ='999';
                else    
                    ggg=evalin('base',vars(i).name);
                    sz=size(ggg);

                    try
                        mint2=min(ggg(:,2));
                        maxt2=max(ggg(:,2));
    
                        if(sz(2)==2 && mint2>=0 && maxt2<2)
                            cell_array{i} = vars(i).name;
                        else
                            cell_array{i} ='999';
                        end
                    catch
                        cell_array{i} ='999';
                    end    
                end    
            end
            for i=length(vars):-1:1
                if(contains(cell_array{i},'999'))
                    cell_array(i,:)=[];
                end
            end         